<?php
// Kalenderblatt - sgs-visual.de 2024

     setlocale(LC_TIME, 'de_DE', 'de_DE.UTF-8');

?>

<html>
     <head>
               <title>Kalenderblatt</title>
               <html lang="de">
               <link rel="shortcut icon" type="image/png" href=" "/>
               <meta name="viewport" content="width=device-width, initial-scale=1">
     </head>
  <body>

<style type="text/css">

.Kalenderblatt{margin: 0 auto;background-color:#F4F4F4;border: 1px solid #B4B4B4;border-radius:5px 5px 5px 5px;height: 170px;width: 144px;margin: 0 center;padding:0px 4px;text-align: center;box-shadow: 2px 3px 10px #9B9B9B;}

.Tabelle  {border-collapse:collapse;border-spacing:0;justify-content: center;}

.Leerzeile{font-family:Arial, sans-serif;font-size:4px;text-align: center;padding:0px 0px;border-width:0px;overflow:hidden;word-break:normal;}

.Wochentag{background-color:#2C79DC;font-family:Roboto, Tahoma, Arial, sans-serif;font-size:16px;font-weight:bold;color: #FFFFFF;text-align: center;padding:5px 0px;border-style:solid;border-width:0px;overflow:hidden;word-break:normal;}

.Kalenderwoche{font-family:Roboto, Arial, sans-serif;font-size:8px;font-weight:bold;text-align: left;padding:0px 0px;border-style:solid;border-width:0px;overflow:hidden;word-break:normal;}

.Tag{font-family:Arial, Roboto, Tahoma, Verdana, sans-serif;font-size:64px;font-weight:bold;text-align: center;padding:0px 0px;line-height: 95%;border-style:solid;border-width:0px;overflow:hidden;word-break:normal;}

.Feiertag{font-family:Roboto, Arial, sans-serif;font-size:10px;font-weight:bold;line-height: 85%;color: #FF0000;text-align: center;padding:0px 0px;border-style:solid;border-width:0px;overflow:hidden;word-break:normal;}

.MonatJahr{font-family:Roboto, Arial, sans-serif;font-size:12px;line-height: 14px;font-weight:bold;text-align: center;line-height: 100%;padding:0px 0px;border-style:solid;border-width:0px;overflow:hidden;word-break:normal;}

.Sternzeichen{padding:12px 0px;overflow:hidden;text-decoration: none;font-family:Roboto, Arial, sans-serif;font-size:6px;line-height: 5%;color: #000000;text-align: center;font-weight:normal;word-break:normal;}

.Link{padding:6px 0px;overflow:hidden;text-decoration: none;font-family:Roboto, Arial, sans-serif;font-size:6px;line-height: 5%;color: #555555;text-align: center;font-weight:normal;word-break:normal;}


</style>
<div class="Kalenderblatt">
<center><table class="Tabelle">
  <tr>
    <th class="Leerzeile">. . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . .</th>
  </tr>
  <tr>
    <th class="Wochentag"><?php echo strftime("%A"); // ausgeschrieben ?></th>
  </tr>

  <tr>
    <td class="Kalenderwoche">&emsp;
<script>
function weekNo() {
var totalDays = 0;
now = new Date();
years=now.getYear();
var days = new Array(12);
days[0] = 31;
days[2] = 31;
days[3] = 30;
days[4] = 31;
days[5] = 30;
days[6] = 31;
days[7] = 31;
days[8] = 30;
days[9] = 31;
days[10] = 30;
days[11] = 31;
 
if (Math.round(now.getYear()/4) == now.getYear()/4) {
days[1] = 29
}else{
days[1] = 28
}
 
if (now.getMonth() == 0) { 
totalDays = totalDays + now.getDate();
}else{
var curMonth = now.getMonth();
for (var count = 1; count <= curMonth; count++) {
totalDays = totalDays + days[count - 1];
}
totalDays = totalDays + now.getDate();
}

var agt=navigator.userAgent.toLowerCase();
if ((agt.indexOf("msie") != -1) && (agt.indexOf("opera") == -1)) {
var firstday=new Date("01/01/"+String(now.getYear())).getDay();
}
else {
var firstday=new Date("01/01/"+String(1900+now.getYear())).getDay();
}
var diff=7-firstday+1;
var week = Math.round((totalDays+diff-firstday)/7); return week +1;
}
document.write(""+weekNo()-1+". KW ")
</script>
</td>
  </tr>

  <tr>
    <td class="Tag">
       <?php 

//    Sonntags Tageszahl in rot

              if (strftime("%A") == "Sonntag") {
              echo "<font style = 'color: #ff0000;'>".strftime("%e")."</style>"; 
              }
              else { 
              echo "<font style = 'color: #000000;'>".strftime("%e")."</style>"; 
              } 
           ?>
</td>
  </tr>
  <tr>
    <td class="Feiertag">

<?php
function feiertage()
{
    // Wochentage (Montag = 1, Dienstag = 2, ... Sonntag = 7)
    $close = array(8);


    // Feste Feiertage
    $holiday = array('01.01','01.05','03.10','08.03','20.09','31.10','08.08','15.08','03.10','31.10','01.11','24.12','25.12','26.12','31.12');

    // Bewegliche Feiertage
    $intJahr = date("Y");
    $intMon  = date("m");
    $intTag  = date("d");
    $feiertag ="";
    $EasterSonday = easter_date($intJahr);
  if ( ($intTag == date("j", ($EasterSonday - 2*86400))) && ($intMonat == date("n", ($EasterSonday - 2*86400))) ){$feiertag="Karfreitag";}
  if ( ($intTag == date("j", ($EasterSonday))) && ($intMonat == date("n", ($EasterSonday))) ){$feiertag="Ostersonntag";}
  if ( ($intTag == date("j", ($EasterSonday + 86400))) && ($intMonat == date("n", ($EasterSonday + 86400))) ){$feiertag="Ostermontag";}
  if ( ($intTag == date("j", ($EasterSonday + 39*86400)))  && ($intMonat == date("n", ($EasterSonday + 39*86400))) ){$feiertag="Christi Himmelfahrt";}
  if ( ($intTag == date( "j", ($EasterSonday + 49*86400))) && ($intMonat == date( "n", ($EasterSonday + 49*86400))) ){$feiertag="Pfingstsonntag";}
  if ( ($intTag == date( "j", ($EasterSonday + 50*86400))) && ($intMonat == date( "n", ($EasterSonday + 50*86400))) ){$feiertag="Pfingstmontag";}
  if ( ($intTag == date( "j", ($EasterSonday + 60*86400))) && ($intMonat == date( "n", ($EasterSonday + 60*86400))) ){$feiertag="Fronleichnam";}

    // Prüfen ob  [ FEIERTAG ]
    // Wenn ja ...

    if (date('N') != in_array(date('N'), $close) && date('H:i') >= $time_start && date('H:i') <= $time_stop && date('d.m') != in_array(date('d.m'), $holiday))
    {
	    // Ausgabe
    	$sondertag=" ";
    }

    // Feststehenden Feiertagen Bezeichnung zuordnen
    else
    {
    	if (date("d.m") == in_array(date("d.m"), $holiday))
    	{
  if (date("d.m")=="01.01") $feiertag="Neujahr";
  if (date("d.m")=="01.05") $feiertag="Tag der Arbeit";
  if (date("d.m")=="03.10") $feiertag="Tag der Deutschen Einheit";
  if (date("d.m") == "08.03") $feiertag ="Int. Frauentag";
  if (date("d.m") == "20.09") $feiertag ="Weltkindertag";
  if (date("d.m") == "31.10") $feiertag ="Reformationstag";
  if (date("d.m") == "08.08") $feiertag = "Augsburger Hohes Friedensfest";
  if (date("d.m") == "15.08") $feiertag = "Mariä Himmelfahrt";
  if (date("d.m") == "03.10") $feiertag = "Tag der Deutschen Einheit";
  if (date("d.m") == "31.10") $feiertag = "Reformationstag";
  if (date("d.m") == "01.11") $feiertag = "Allerheiligen";
// Raum für weitere Feiertage vor Weihnachtszeit
  if (date("d.m") == "24.12") $feiertag = "Heiliger Abend";
  if (date("d.m") == "25.12") $feiertag = "1. Weihnachtstag";
  if (date("d.m") == "26.12") $feiertag = "2. Weihnachtstag";
  if (date("d.m") == "31.12") $feiertag = "Silvester";

    	}
    	else {echo "<font style = 'color: #999;'>&emsp;</style>";}  // Platzhalter für die Feiertage

    	if ($feiertag != " ")
    		    	
    	    $sondertag=" ".$feiertag." ";
    	else
    	    $sondertag= " ";
    }
    return($sondertag);
}

$sondertag = feiertage();
echo $sondertag;
?>

</td>
  </tr>


  <tr>
    <td class="MonatJahr"><?php echo strftime("%B %Y"); ?></td>
  </tr>



  <tr>
    <td class="Sternzeichen">
<?php 
// Sternzeichen
    $aktuellesJahr = date('Y');
    $textarray = array(

  array("from"=>"$aktuellesJahr-01-01", "to"=>"$aktuellesJahr-01-19", "text"=>"<b>Steinbock &nbsp;</b>&#10033;&nbsp;22.12. - 20.01."),
  array("from"=>"$aktuellesJahr-01-20", "to"=>"$aktuellesJahr-02-18", "text"=>"<b>Wassermann &nbsp;</b>&#10033;&nbsp;21.01. - 19.02."),
  array("from"=>"$aktuellesJahr-02-19", "to"=>"$aktuellesJahr-03-20", "text"=>"<b>Fische &nbsp;</b>&#10033;&nbsp;20.02. - 20.03."),
  array("from"=>"$aktuellesJahr-03-21", "to"=>"$aktuellesJahr-04-20", "text"=>"<b>Widder &mbsp;</b>&#10033;&nbsp;21.03. - 20.04."),
  array("from"=>"$aktuellesJahr-04-21", "to"=>"$aktuellesJahr-05-21", "text"=>"<b>Stier &nbsp;&nbsp;</b>&#10033;&nbsp;21.04. - 21.05."),
  array("from"=>"$aktuellesJahr-05-22", "to"=>"$aktuellesJahr-06-21", "text"=>"<b>Zwillinge &nbsp;</b>&#10033;&nbsp;22.05. - 21.06."),
  array("from"=>"$aktuellesJahr-06-22", "to"=>"$aktuellesJahr-07-22", "text"=>"<b>Krebs &nbsp;</b>&#10033;&nbsp;22.06. - 22.07."),
  array("from"=>"$aktuellesJahr-07-23", "to"=>"$aktuellesJahr-08-22", "text"=>"<b>L&ouml;we &nbsp;</b>&#10033;&nbsp;23.07.- 23.08."),
  array("from"=>"$aktuellesJahr-08-23", "to"=>"$aktuellesJahr-09-22", "text"=>"<b>Jungfrau &nbsp;</b>&#10033;&nbsp;24.08. - 23.09."),
  array("from"=>"$aktuellesJahr-09-23", "to"=>"$aktuellesJahr-10-22", "text"=>"<b>Waage &nbsp;</b>&#10033;&nbsp;24.09. - 23.10."),
  array("from"=>"$aktuellesJahr-10-23", "to"=>"$aktuellesJahr-11-22", "text"=>"<b>Skorpion &nbsp;</b>&#10033;&nbsp;24.10. - 22.11."),
  array("from"=>"$aktuellesJahr-11-22", "to"=>"$aktuellesJahr-12-20", "text"=>"<b>Sch&uuml;tze &nbsp;</b>&#10033;&nbsp;23.11. - 21.12."),
  array("from"=>"$aktuellesJahr-12-21", "to"=>"$aktuellesJahr-12-31", "text"=>"<b>Steinbock &nbsp;</b>&#10033;&nbsp;22.12. - 20.01."),
  );
    $now = strtotime("now");
    for ($i = 0, $found = FALSE; $i < count($textarray) && !$found; $i++) {
	$from = strtotime($textarray[$i]["from"]);
	if (array_key_exists("to", $textarray[$i])) $to = strtotime($textarray[$i]["to"]);
	else $to = $from;
	$to = strtotime("+1 day", $to);

  //  var_dump(date("d m", $from), date("d m", $to));

	if ($now >= $from && $now < $to) $found = TRUE;
	}
	if ($found) echo "Sternzeichen ",($textarray[$i - 1]["text"]);

?>
</td>
  </tr>



  <tr>
    <td class="Link"><a class="Link" href="https://www.sgs-visual.de/einfaches_kalenderblatt.php">PHP-Script: sgs-visual.de [10.06.2024]</a></td>
  </tr>
</table><center>
</div>

</body></html>